using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsFactorCo2 {
        //연료별 CO2 계수
        [Display(Name = "연료 고유번호"), Key]
        public short FuelTypeId { get; set; }
        [Display(Name = "연료에 대한 CO2 계수"), Required]
        public double Factor { get; set; }

        [ForeignKey("FuelTypeId")]
        public virtual BemsFuelType FuelType { get; set; }
    }
}
